<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('product_color', function (Blueprint $table) {
            if (!Schema::hasColumn('product_color', 'pc_qty')) {
                $table->string('pc_qty')->nullable()->default('50');
            }
            if (!Schema::hasColumn('product_color', 'code')) {
                $table->string('code')->nullable()->default('0');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('product_color', function (Blueprint $table) {
               $table->dropColumn('pc_qty');
        });
    }
};
